[Darshan-commits] [Git][darshan/darshan][issue-218-val-counter] script to run reproducer in regression test

Philip Carns xgitlab at cels.anl.gov
Sun Jan 22 18:39:36 CST 2017


Philip Carns pushed to branch issue-218-val-counter at darshan / darshan


Commits:
8a6a35b0 by Phil Carns at 2017-01-22T19:39:16-05:00
script to run reproducer in regression test

- - - - -


1 changed file:

- + darshan-test/regression/test-cases/access-size-counter-test.sh


Changes:

=====================================
darshan-test/regression/test-cases/access-size-counter-test.sh
=====================================
--- /dev/null
+++ b/darshan-test/regression/test-cases/access-size-counter-test.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+PROG=access-size-counter-test
+
+# set log file path; remove previous log if present
+export DARSHAN_LOGFILE=$DARSHAN_TMP/${PROG}.darshan
+rm -f ${DARSHAN_LOGFILE}
+
+# compile
+$DARSHAN_CC $DARSHAN_TESTDIR/test-cases/src/${PROG}.c -o $DARSHAN_TMP/${PROG}
+if [ $? -ne 0 ]; then
+    echo "Error: failed to compile ${PROG}" 1>&2
+    exit 1
+fi
+
+# execute
+$DARSHAN_RUNJOB $DARSHAN_TMP/${PROG} -f $DARSHAN_TMP/${PROG}.tmp.dat
+if [ $? -ne 0 ]; then
+    echo "Error: failed to execute ${PROG}" 1>&2
+    exit 1
+fi
+
+# parse log
+$DARSHAN_PATH/bin/darshan-parser $DARSHAN_LOGFILE > $DARSHAN_TMP/${PROG}.darshan.txt
+if [ $? -ne 0 ]; then
+    echo "Error: failed to parse ${DARSHAN_LOGFILE}" 1>&2
+    exit 1
+fi
+
+# check results (for now just make sure it didn't crash)
+
+exit 0



View it on GitLab: https://xgitlab.cels.anl.gov/darshan/darshan/commit/8a6a35b08720d279d718e72d5860c004afd59179
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.mcs.anl.gov/pipermail/darshan-commits/attachments/20170122/c99201c2/attachment-0001.html>


More information about the Darshan-commits mailing list